.hero,
.features,
.reviews,
.cta{
    max-width:var(--container-width);
    margin-inline:auto;
    padding-inline:var(--container-padding);
}

header {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    height: 7rem;
    background: var(--white);
    border-bottom: 1px solid var(--border-color);
    position: fixed;
    width: 100vw;
    box-shadow: 0px 1px 12px var(--primary-shadow);
    z-index: 99;
}

.brand {
    justify-self: start;
    display: flex;
    align-items: center;
    padding-left: 5rem;    
}

.img-brand {
    height:3rem;
}

.brand-name {
    font-family: var(--fluxvara-name);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 2.5rem;
    letter-spacing: .3em;
    color: var(--brand-color);
    padding-left: 1rem;
}

.menu {
    justify-self: center;
    display: flex;
    align-items: center;
    gap: 3.5rem;
}

.header__menu {
    color: var(--brand-color);
    font-family: var(--secondary-font);
    font-size: 2rem;
    font-weight: bold;
    text-decoration: none;
    border-bottom: 3px solid transparent;
    transition: .3s ease;
}

.header__menu:hover {
    color: var(--secondary-color);
    border-bottom: 3px solid var(--secondary-color);
}

main {
    background: var(--background-color);
}

.hero {
    display: flex;
    flex-direction: column;
    margin: auto;
    text-align: center;
    max-width: 100rem;
}

.hero__title {
    font-family: var(--primary-font);
    color: var(--primary-color);
    font-weight: bolder;
    font-size: 6.5rem;
    padding: 10rem 0 3rem;
}

.hero__text {
    font-family: var(--secondary-font);
    font-size: 2rem;
    line-height: 3rem;
    padding-bottom: 6rem;
}

.hero__button {
    padding: 3rem;
    font-family: var(--secondary-font);
    font-size: 2rem;
    letter-spacing: .05em;
    text-transform: uppercase;
    font-weight: bold;
    color: var(--white);
    background-color: var(--primary-color);
    border: none;
    border-radius: 8px;
    margin-bottom: 10rem;
    cursor: pointer;
    box-shadow: 5px 5px 12px var(--primary-shadow);
    transition: .3s ease;
}

.hero__button:hover {
    transform: scale(0.95);
    background-color: var(--action);
}

.product-img {
    width: 100%;
    max-width: 80rem;
    transition: .8s ease;
}

.product-img:hover {
    transform: scale(1.1);
} 

.product-badges {
    width: 600px;
}

.ingredients {
    display: flex;
    flex-direction: column;
    margin: auto;
    text-align: center;
    max-width: 100rem;
}

.ingredients__text {
    display: flex;
    flex-direction: column;
}

.ingredients__title {
    font-family: var(--primary-font);
    color: var(--primary-color);
    font-weight: bolder;
    font-size: 5rem;
    padding: 5rem 0 3rem;
}

.ingredients__description {
    font-family: var(--secondary-font);
    font-size: 2rem;
    line-height: 3rem;
    padding-bottom: 6rem;
}

.ingredients__itens {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem 2rem;
}

.ingredients__cards {
    position: relative;
    width: 23rem;
    padding-top: 10rem;
}

.ingredients__image-wrapper {
    position: absolute;
    top: 5rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
}

.ingredients__img {
    width: 20rem;
    border-radius: 50%;
    display: block;
    box-shadow: -3px 3px 15px var(--primary-shadow);
}

.ingredients__content {
    background: var(--primary-color);
    border-radius: 10px;
    min-height: 20rem;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding: 1rem;
}

.ingredients__img-title {
    font-family: var(--primary-font);
    color: var(--white);
    text-align: center;
    font-size: 2rem;
}

.features {
    max-width: 100rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    margin: 0 auto;
    padding-inline: 2rem;
    padding-block: 8rem;
}

.cards {
    border: 1px solid var(--primary-color);
    border-radius: 8px;
    padding: 3rem;
    box-shadow: 5px 5px 12px var(--border-color);
    transition: .3s ease;
}

.cards:hover {
    border: 1px solid var(--secondary-color);
    transform: scale(1.05);
    box-shadow: 5px 5px 15px var(--border-color);
}

.cards-icon {
    display: block;
    font-family: var(--font-icon);
    font-size: 4rem;
    color: var(--secondary-color);
    padding-bottom: 1rem;
}

.features__title {
    font-family: var(--primary-font);
    font-size: 2.8rem;
    color: var(--primary-color);
    padding-bottom: 2rem;
}

.features__text {
    font-family: var(--secondary-font);
    color: var(--primary-shadow);
    font-weight: bold;
}

.cta {
    display: flex;
    justify-content: center;
    padding-bottom: 8rem;
}

.cta__content {
    width: 100rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--primary-color);
    padding: 5rem;
    border-radius: 8px;
}

.cta__title {
    font-family: var(--primary-font);
    font-size: 2.8rem;
    color: var(--border-color);
}

.cta__description {
    font-family: var(--primary-font);
    color: var(--border-color);
}

.cta__button {
    font-family: var(--primary-font);
    color: var(--primary-color);
    background: var(--background-color);
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: uppercase;
    padding: 2rem 3rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: .3s ease;
}

.cta__button:hover {
    background: var(--action);
    color: var(--white);
    transform: scale(.95);
}

footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5rem 15rem;
    background: var(--footer-background);
    border-top: 1px solid var(--border-color);
}

.footer__brand {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    max-width: 55rem;
}

.footer__brand-header {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    padding-bottom: 3rem;
}

.footer__brand-image {
    width: 3rem;
}

.footer__brand-name {
    font-family: var(--fluxvara-name);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1.5rem;
    letter-spacing: .3em;
    color: var(--brand-color);
    padding-left: 1rem;
}

.footer__copyright {
    font-family: var(--footer-font);
    font-size: 1.3rem;
    line-height: 2em;
    color: var(--primary-shadow);
}

.footer__links {
    font-family: var(--footer-font);
    font-size: 1.3rem;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
}

.footer__links > a {
    text-decoration: none;
    color: var(--primary-shadow);
    transition: .3s ease;
}

.footer__links > a:hover {
    color: var(--primary-color);
}

.footer__disclaimer {
    font-family: var(--footer-font);
    font-size: 1rem;
    padding-top: 5rem;
}
